All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::out_of_resources Class Reference

Exception thrown if the compute device is out of resources (either global memory, registers, etc.) for the requested operation. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::out_of_resources:

## Detailed Description

Exception thrown if the compute device is out of resources (either global memory, registers, etc.) for the requested operation.

Definition at line 133 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp